Module jdk.compiler
Package com.sun.source.tree

## Enum MemberReferenceTree.ReferenceMode

- java.lang.Object
- - java.lang.Enum<MemberReferenceTree.ReferenceMode>
  - - com.sun.source.tree.MemberReferenceTree.ReferenceMode

All Implemented Interfaces:
  Serializable, Comparable<MemberReferenceTree.ReferenceMode>

Enclosing interface:
  MemberReferenceTree

    public static enum MemberReferenceTree.ReferenceMode
    extends Enum<MemberReferenceTree.ReferenceMode>

There are two kinds of member references: (i) method references and (ii) constructor references

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INVOKE` enum constant for method references.
`NEW` enum constant for constructor references.

### Method Summary

All Methods Static Methods Concrete Methods
`static MemberReferenceTree.ReferenceMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MemberReferenceTree.ReferenceMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INVOKE

    public static final MemberReferenceTree.ReferenceMode INVOKE

enum constant for method references.

#### NEW

    public static final MemberReferenceTree.ReferenceMode NEW

enum constant for constructor references.

### Method Detail

#### values

    public static MemberReferenceTree.ReferenceMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MemberReferenceTree.ReferenceMode c : MemberReferenceTree.ReferenceMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MemberReferenceTree.ReferenceMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null